Package com.treemap

# Class ParentTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>

java.lang.Object
com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>
com.treemap.ParentTreeMapNode<N,Row,Column,Color,Font>

Type Parameters:
  `N` - the type of nodes

All Implemented Interfaces:
  `MutableTreeMapNode<N,Column,Color,Font>`, `TreeMapNode<N,Column,Color,Font>`

public class ParentTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font> extends AbstractTreeMapNode<N,Row,Column,Color,Font>
A parent node.

- ## Field Summary

  ### Fields inherited from class com.treemap.AbstractTreeMapNode

  `model`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParentTreeMapNode(Object name, TreeMapModel<N,Row,Column,Color,Font> model, TreeMapField<N,Column> groupByField, TreeMapField<N,Column> childrenGroupByField)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(N child)`
  `N`
  `findChild(Object name)`
  `com.macrofocus.geom.GeneralPath`
  `getCH(TreeMapField<N,Column> xVariable, TreeMapField<N,Column> yVariable)`
  `int`
  `getChildCount()`
  `Iterable<N>`
  `getChildren()`
  `TreeMapField<N,Column>`
  `getChildrenGroupByField()`
  Returns the number of levels above this node -- the distance from the root to this node.
  `Iterable<N>`
  `getChildrenOfTypeParent()`
  `TreeMapField<N,Column>`
  `getGroupByField()`
  Returns the number of levels above this node -- the distance from the root to this node.
  `com.macrofocus.geom.Ellipse2D`
  `getMEC(TreeMapField<N,Column> xVariable, TreeMapField<N,Column> yVariable)`
  Find the minimal enclosing circle (MEC) of a set of points
  `com.macrofocus.geom.Shape`
  `getNestedShape()`
  Gets the shape after nesting of the item in the map.
  `Object`
  `getNodeName()`
  The name of this node.
  `Row`
  `getRow()`
  Gets the row in the underlying TableModel, -1 if it doesn't relate to a leaf node.
  `double`
  `getSumSize()`
  `boolean`
  `hasNoChildren()`
  Tells whether this node contains children.
  `boolean`
  `isLeaf()`
  `void`
  `setNestedShape(com.macrofocus.geom.Shape shape)`
  Sets the shape after nesting of the item in the map.
  `void`
  `setShape(com.macrofocus.geom.Shape shape)`
  Sets the shape of the item in the map.
  `void`
  `setSumSize(double sumSize)`

  ### Methods inherited from class com.treemap.AbstractTreeMapNode

  `computeCushionColor, getBounds, getColor, getCushionColor, getCushionImage, getLabelName, getLevel, getParent, getPath, getSelf, getShape, getSize, isRoot, normalizedToWorld, setColor, setParent, setSize, toString, worldToNormalized`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParentTreeMapNode

    public ParentTreeMapNode(Object name, TreeMapModel<N,Row,Column,Color,Font> model, TreeMapField<N,Column> groupByField, TreeMapField<N,Column> childrenGroupByField)

- ## Method Details

  - ### setSumSize

    public void setSumSize(double sumSize)

  - ### getSumSize

    public double getSumSize()

  - ### getRow

    public Row getRow()
    Gets the row in the underlying TableModel, -1 if it doesn't relate to a leaf node.
    Specified by:
      `getRow` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`
    Returns:
      the row in the TableModel.

  - ### getGroupByField

    public TreeMapField<N,Column> getGroupByField()
    Description copied from interface: `TreeMapNode`
    Returns the number of levels above this node -- the distance from the root to this node. If this node is the root, returns 0.
    Returns:
      the number of levels above this node

  - ### getChildrenGroupByField

    public TreeMapField<N,Column> getChildrenGroupByField()
    Description copied from interface: `TreeMapNode`
    Returns the number of levels above this node -- the distance from the root to this node. If this node is the root, returns 0.
    Returns:
      the number of levels above this node

  - ### getChildCount

    public int getChildCount()
    Specified by:
      `getChildCount` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`

  - ### hasNoChildren

    public boolean hasNoChildren()
    Tells whether this node contains children.
    Returns:
      true if this node contains children, false otherwise

  - ### isLeaf

    public boolean isLeaf()

  - ### getChildren

    public Iterable<N> getChildren()
    Specified by:
      `getChildren` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`

  - ### getChildrenOfTypeParent

    public Iterable<N> getChildrenOfTypeParent()
    Specified by:
      `getChildrenOfTypeParent` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`

  - ### add

    public void add(N child)
    Specified by:
      `add` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`

  - ### findChild

    public N findChild(Object name)
    Specified by:
      `findChild` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`

  - ### getNodeName

    public Object getNodeName()
    The name of this node.
    Specified by:
      `getNodeName` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`
    Returns:
      the name of this node.

  - ### setShape

    public void setShape(com.macrofocus.geom.Shape shape)
    Description copied from interface: `MutableTreeMapNode`
    Sets the shape of the item in the map.
    Specified by:
      `setShape` in interface `MutableTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color>`
    Overrides:
      `setShape` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`
    Parameters:
      `shape` - the shape of the item in the map.

  - ### getNestedShape

    public com.macrofocus.geom.Shape getNestedShape()
    Description copied from interface: `TreeMapNode`
    Gets the shape after nesting of the item in the map.
    Specified by:
      `getNestedShape` in interface `TreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color>`
    Overrides:
      `getNestedShape` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`
    Returns:
      the shape of the item in the map.

  - ### setNestedShape

    public void setNestedShape(com.macrofocus.geom.Shape shape)
    Description copied from interface: `MutableTreeMapNode`
    Sets the shape after nesting of the item in the map.
    Specified by:
      `setNestedShape` in interface `MutableTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color>`
    Overrides:
      `setNestedShape` in class `AbstractTreeMapNode<N extends AbstractTreeMapNode<N,Row,Column,Color,Font>,Row,Column,Color,Font>`
    Parameters:
      `shape` - the shape of the item in the map.

  - ### getMEC

    public com.macrofocus.geom.Ellipse2D getMEC(TreeMapField<N,Column> xVariable, TreeMapField<N,Column> yVariable)
    Find the minimal enclosing circle (MEC) of a set of points

  - ### getCH

    public com.macrofocus.geom.GeneralPath getCH(TreeMapField<N,Column> xVariable, TreeMapField<N,Column> yVariable)